import { OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { TooltipPosition } from '@angular/material';
import { AuthenticationService } from './services/authentication.service';
import { GlobalVarsService } from './services/globalvars.service';
import { LocalStorageService } from 'angular-2-local-storage';
import { DomSanitizer } from '@angular/platform-browser';
import { MdIconRegistry } from '@angular/material';
import { Observable } from 'rxjs/Observable';
import 'rxjs/add/observable/of';
import 'rxjs/add/operator/catch';
import 'rxjs/add/operator/debounceTime';
import 'rxjs/add/operator/distinctUntilChanged';
export declare class AppComponent implements OnInit {
    private router;
    private globalservice;
    private localStorage;
    private authservice;
    title: string;
    position: TooltipPosition;
    authenticated: boolean;
    authsubsription: Observable<boolean[]>;
    authicon: string;
    constructor(router: Router, globalservice: GlobalVarsService, localStorage: LocalStorageService, authservice: AuthenticationService, iconRegistry: MdIconRegistry, sanitizer: DomSanitizer);
    ngOnInit(): void;
    ngOnDestroy(): void;
    login(path?: string): void;
    logoff(): void;
    isAuthenticated(): boolean;
    print(): void;
}
